AI
Get conversation sentiment history
GET
/
v1
/
conversations
/
{convID}
/
sentiment
Get conversation sentiment history
curl --request GET \
--url https://api.wazapin.com/v1/conversations/{convID}/sentimentconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/conversations/{convID}/sentiment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/conversations/{convID}/sentiment"
response = requests.get(url)
print(response.text)[
{
"analyzed_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"magnitude": 123,
"score": 123,
"urgency_detected": true,
"message_id": "<string>",
"urgency_keywords": [
"<string>"
]
}
]{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Query Parameters
⌘I
Get conversation sentiment history
curl --request GET \
--url https://api.wazapin.com/v1/conversations/{convID}/sentimentconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/conversations/{convID}/sentiment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/conversations/{convID}/sentiment"
response = requests.get(url)
print(response.text)[
{
"analyzed_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"magnitude": 123,
"score": 123,
"urgency_detected": true,
"message_id": "<string>",
"urgency_keywords": [
"<string>"
]
}
]{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}